boost::geometry::detail::turns::turn_printer Struct Reference

List of all members.

## Public Member Functions

template<typename Turn >
void | operator() (Turn const &turn)
| turn_printer (std::ostream &os)

## Public Attributes

int | index
std::ostream & | out

## Constructor & Destructor Documentation

boost::geometry::detail::turns::turn_printer::turn_printer | ( | std::ostream & | os | ) |

## Member Function Documentation

template<typename Turn >

void boost::geometry::detail::turns::turn_printer::operator() | ( | Turn const & | turn | ) |

## Member Data Documentation

int boost::geometry::detail::turns::turn_printer::index

std::ostream& boost::geometry::detail::turns::turn_printer::out

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK